Subject: bug#8642: closed (Re: bug#8642: 24.0.50; cannot build on Solaris 10)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 May 2011 03:43:02 +0000

Your bug report

#8642: 24.0.50; cannot build on Solaris 10

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8642: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8642
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8642: 24.0.50; cannot build on Solaris 10
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 17 May 2011 23:42:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.1

>> 3. Solaris's cc does not allow the combination of C99 option and
>>    _XOPEN_SOURCE=500, for example, fakemail.c fails.

After looking into this a little bit, I think your change to 600 may be
correct. But fakemail.c was removed, so it's no longer necessary.
If that file comes back, please send a reminder about this. Thanks.

Subject: 24.0.50; cannot build on Solaris 10
From: NAKAJI Hiroyuki <[email-masked]>
To: [email-masked]
Date: Tue, 10 May 2011 11:04:36 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

There are three problems in building on Solaris 10.

1. In Solaris 10's /bin/sh, builtin test command does not have "-e"
2. /bin/sh does not have $(command) syntax, neither
3. Solaris's cc does not allow the combination of C99 option and
   _XOPEN_SOURCE=500, for example, fakemail.c fails.

cc -xc99=all    -DHAVE_CONFIG_H -I. -I../src -I../lib -I/export/home/nakaji/emacs/lib-src -I/export/home/nakaji/emacs/lib-src/../src -I/export/home/nakaji/emacs/lib-src/../lib  -m64 -L/usr/pkg/lib -R/usr/pkg/lib -L/usr/openwin/lib -I/usr/pkg/include -m64 -I/usr/pkg/include /export/home/nakaji/emacs/lib-src/fakemail.c ../lib/libgnu.a -lsocket -lnsl -o fakemail
"/usr/include/sys/feature_tests.h", line 332: #error: "Compiler or options invalid for pre-UNIX 03 X/Open applications  and pre-2001 POSIX applications"
cc: acomp failed for /export/home/nakaji/emacs/lib-src/fakemail.c

Here is a patch. Thanks.

=== modified file 'Makefile.in'
--- Makefile.in	2011-05-06 06:30:56 +0000
+++ Makefile.in	2011-05-09 11:21:39 +0000
@@ -373,7 +373,7 @@
 	      LDFLAGS='${LDFLAGS}' MAKE='${MAKE}' BOOTSTRAPEMACS="$$boot"; \
 	fi;
 	if [ -r .bzr/checkout/dirstate ]; then 			\
-	    vcswitness="$$(pwd)/.bzr/checkout/dirstate"; 	\
+	    vcswitness="`pwd`/.bzr/checkout/dirstate"; 	\
 	fi; 							\
 	cd $@; $(MAKE) all $(MFLAGS)                           \
 	  CC='${CC}' CFLAGS='${CFLAGS}' CPPFLAGS='${CPPFLAGS}' \
@@ -829,7 +829,7 @@
 	-(cd doc/lispintro &&   $(MAKE) $(MFLAGS) maintainer-clean)
 	(cd leim;     $(MAKE) $(MFLAGS) maintainer-clean)
 	(cd lisp;     $(MAKE) $(MFLAGS) bootstrap-clean)
-	[ ! -e config.log ] || mv -f config.log config.log~
+	[ ! -f config.log ] || mv -f config.log config.log~
 	${top_bootclean}
 ## configure; make bootstrap replaces the real config.log from configure
 ## with the truncated one from config.status.  The former is more useful.

=== modified file 'lib-src/fakemail.c'
--- lib-src/fakemail.c	2011-04-16 21:13:07 +0000
+++ lib-src/fakemail.c	2011-05-09 04:26:15 +0000
@@ -20,7 +20,7 @@
 along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.  */

-#define _XOPEN_SOURCE 500	/* for cuserid */
+#define _XOPEN_SOURCE 600	/* for cuserid */
 
 #ifdef HAVE_CONFIG_H
 #include <config.h>

I'm afraid the fix for fakemail.c is correct or not.
-- 
NAKAJI Hiroyuki